PerspectPerspectDocs
Go to Admin
View as Markdown

Content

This reference is auto-generated from the mounted public Hono routes in perspectapiworkers. Admin and internal routes are excluded.

Base Path

/api/v2/sites/:siteName/content

Endpoints

GET /api/v2/sites/:siteName/content

List content.

Path params: siteName

POST /api/v2/sites/:siteName/content

Create content.

Path params: siteName

DELETE /api/v2/sites/:siteName/content/:id

Delete content by id.

Path params: siteName, id

PATCH /api/v2/sites/:siteName/content/:id

Update content by id.

Path params: siteName, id

POST /api/v2/sites/:siteName/content/:id/publish

Publish action.

Path params: siteName, id

POST /api/v2/sites/:siteName/content/:id/unpublish

Unpublish action.

Path params: siteName, id

GET /api/v2/sites/:siteName/content/:idOrSlug

Get content by id Or Slug.

Path params: siteName, idOrSlug

Path Parameters

Parameter
siteName
id
idOrSlug

This page is generated from the actual public Hono route table. Do not edit it by hand.